Fwd: Re: [PHP-DEV] PHP 4.0 Bug #10589 Updated: buildconf not compatible with Gnu Libtool 1.4

From: Date: Wed, 02 May 2001 21:43:48 +0000
Subject: Fwd: Re: [PHP-DEV] PHP 4.0 Bug #10589 Updated: buildconf not compatible with Gnu Libtool 1.4
Groups: php.dev 
Request: Send a blank email to php-dev+get-53467@lists.php.net to get a copy of this message
Can someone double check this patch so that we can commit it? Andi
Date: Wed, 2 May 2001 01:40:54 -0700 (PDT) From: <chrisv@b0rked.dhs.org> To: TheBOFH@nc.rr.com cc: php-dev@lists.php.net Subject: Re: [PHP-DEV] PHP 4.0 Bug #10589 Updated: buildconf not compatible with Gnu Libtool 1.4 ID: 10589 User Update by: TheBOFH@nc.rr.com Status: Closed Bug Type: *Install and Config Description: buildconf not compatible with Gnu Libtool 1.4 [root@gecko /root]# cd /usr/src/php4 [root@gecko php4]# ./cvsclean; ./buildconf buildconf: checking installation... buildconf: autoconf version 2.13 (ok) buildconf: automake version 1.4 (ok) build/buildcheck.sh: test: integer expression expected before -ge buildconf: libtool version 1.4 found.
           You need libtool version 1.3.3 or newer installed
           to build PHP from CVS.
make: *** [buildmk.stamp] Error 1 I see the problem when I force $lt_version to "1.4" (which appears to be what 'libtool --version' is returning) in build/buildcheck.sh. A patch to workaround this: ===CUT=== --- buildcheck.sh.bak Wed May 2 01:39:07 2001
+++ buildcheck.sh       Wed May  2 01:37:41 2001
@@ -67,14 +67,27 @@ fi lt_version=echo $lt_pversion|sed -e 's/\([a-z]*\)$/.\1/' IFS=.; set $lt_version; IFS=' ' -if test "$1" -gt "1" || test "$2" -gt "3" || test "$2" = "3" && (test "$3" = "c" || test "$3" -ge "3") +if test "$1" -gt "1" || test "$2" -gt "3" || test "$2" = "3" && (test "x$3" != "x") then -echo "buildconf: libtool version $lt_pversion (ok)"
+       if test "$3" = "c" || test "$3" -ge "3"
+       then
+               echo "buildconf: libtool version $lt_pversion (ok)"
+       else
+               echo "buildconf: libtool version $lt_pversion found."
+               echo "           You need libtool version 1.3.3 or newer installed"
+               echo "           to build PHP from CVS."
+               exit 1
+       fi
else -echo "buildconf: libtool version $lt_pversion found."
-echo "           You need libtool version 1.3.3 or newer installed"
-echo "           to build PHP from CVS."
-exit 1
+       if test "x$3" == "x" && test "$2" -lt "4"
+       then
+               echo "buildconf: libtool version $lt_pversion found."
+               echo "           You need libtool version 1.3.3 or newer installed"
+               echo "           to build PHP from CVS."
+               exit 1
+       else
+               echo "buildconf: libtool version $lt_pversion (ok)"
+       fi
fi am_prefix=which automake | sed -e 's#/[^/]*/[^/]*$##' ===CUT=== Chris -- PHP Development Mailing List <http://www.php.net/> To unsubscribe, e-mail: php-dev-unsubscribe@lists.php.net For additional commands, e-mail: php-dev-help@lists.php.net To contact the list administrators, e-mail: php-list-admin@lists.php.net


« previous php.dev (#53467) next »